/**
 * \file EspaceS.h
 * Classe de gestion d'une matrice de short.
 * 
 * @author Nicolas Janey
 * @author nicolas.janey@univ-fcomte.fr
 * @version 1.0, 01/01/10
 */

#ifndef ____ESPACES____
#define ____ESPACES____

/**
 * \class EspaceS
 * Classe de gestion d'une matrice d'int.
 * 
 * @author Nicolas Janey
 * @author nicolas.janey@univ-fcomte.fr
 * @version 1.0, 01/01/10
 */

class EspaceS {

  public :
    int dx ;
    int dy ;
    short **p ;
    int good;

  public :
    EspaceS(int dx,int dy) ;
    EspaceS(EspaceS *dd) ;
    ~EspaceS(void) ;
    void init(int v) ;
    void init(unsigned char v) ;
    short cherche(int x,int y) ;
    void sauve(short c,int x,int y) ;
    long getUsedMemory(void);
    int getUsedHandles(void);
} ;

#endif
